﻿using System.Collections.Generic;

namespace IMCS.Device
{
    public class ResponseBody
    {
        public int code
        { get; set; }

        public bool result
        { get; set; } = true;

        public string msg
        { get; set; } = "调用成功";

        public int statusCode { get; set; } = 200; 

        public List<string> values
        { get; set; }

        public string toolsInfo { get; set; } = "";

        public string errorsInfo { get; set; } = "";

        public string runDatasInfo { get; set; } = "";
    }

    public class ToolsInfo
    {
        public string number { get; set; }

        public string name { get; set; }

        public string targetLife { get; set; }

    }

    public class RunDatasInfo
    {
        /// <summary>
        /// 进给倍率
        /// </summary>
        public string feedRate { get; set; }
        /// <summary>
        /// 主轴倍率
        /// </summary>
        public string spindleMagnification { get; set; }
        /// <summary>
        /// 主轴转速
        /// </summary>
        public string spindleSpeed { get; set; }
        /// <summary>
        /// 主轴负载
        /// </summary>
        public string spindleLoad { get; set; }

    }
}
